Search found 1548 matches

Go to advanced search

by tanderson69
Mon Oct 19, 2020 12:32 pm
Forum: Open discussion
Topic: 3DConnexion SpaceMouse - pressing ANY button dramatically zooms out and rotates the view
Replies: 52
Views: 1718

Re: 3DConnexion SpaceMouse - pressing ANY button dramatically zooms out and rotates the view

IMHO: 3dconnexion has a long history of obsoleting devices. I personally would never use their software and become part of their "Planned obsolescence" scheme. If supporting the different devices is becoming too much inside freecad, I would suggest: 1) Add proper windows support to spacenav. Probabl...
by tanderson69
Wed Sep 30, 2020 1:37 pm
Forum: Developers corner
Topic: BRepAdaptor_CompCurve::D1() parameter distribution??
Replies: 5
Views: 332

Re: BRepAdaptor_CompCurve::D1() parameter distribution??

If just BRepAdaptor_CompCurve::D1() would return parameter values that are evenly distributed along the wire. Which it doesn't: It might. There are several constructors for BRepAdaptor_CompCurve . I searched freecads code base and the only BRepAdaptor_CompCurve constructor I found, was the construc...
by tanderson69
Thu Sep 24, 2020 11:20 pm
Forum: Open discussion
Topic: Surface to surface tangency
Replies: 73
Views: 4355

Re: Surface to surface tangency

mnesarco wrote:
Thu Sep 24, 2020 7:46 pm
unfortunatelly it works on simple cases but no in my complex surface problem, and it is extraordinary slow.
Do you have your problem posted somewhere? I probably won't get any farther than you, but I will look at it.
by tanderson69
Thu Sep 24, 2020 7:16 pm
Forum: Open discussion
Topic: Surface to surface tangency
Replies: 73
Views: 4355

Re: Surface to surface tangency

I believe it is doable using OCCT but it requires some obscure API that you can access only from paid support or from the OCCT Commercial platform. How did you come to this conclusion? It is doable because you can see smooth surfaces in OCCT commercial products. But there is not official documentat...
by tanderson69
Thu Sep 24, 2020 10:10 am
Forum: Open discussion
Topic: Surface to surface tangency
Replies: 73
Views: 4355

Re: Surface to surface tangency

I believe it is doable using OCCT but it requires some obscure API that you can access only from paid support or from the OCCT Commercial platform. How did you come to this conclusion? There are classes like GeomFill_ConstrainedFilling ( https://old.opencascade.com/doc/occt-7.3.0/refman/html/class_...
by tanderson69
Thu Sep 10, 2020 11:22 am
Forum: Open discussion
Topic: OpenCascade Fillet Fiasco
Replies: 37
Views: 2144

Re: OpenCascade Fillet Fiasco

Btw, do you know how to use this overloaded version of BRepFilletAPI_MakeFillet: //! Adds a fillet description in the builder //! - builds a contour of tangent edges, //! - sest the radius evolution law. Standard_EXPORT void Add (const Handle(Law_Function)& L, const TopoDS_Edge& E); I chased this d...
by tanderson69
Sun Aug 23, 2020 1:40 pm
Forum: Developers corner
Topic: investigating possible OCC BuildCurve3d bug
Replies: 5
Views: 522

Re: investigating possible OCC BuildCurve3d bug

Thanks for this interesting reading (even though my C++ level doesn't qualify me for that kind of acrobatics :lol: ) I should have pointed it out but the main reason I posted that link was to show that he has 10000 for his max segments. So my previous statement of: "So maybe '30' is some practical ...
by tanderson69
Sat Aug 22, 2020 5:19 pm
Forum: Developers corner
Topic: investigating possible OCC BuildCurve3d bug
Replies: 5
Views: 522

Re: investigating possible OCC BuildCurve3d bug

Thanks for your feedback. So, you also use a multi-edge approach, like TopoShape.makeLongHelix. I can understand that it may be a more solid method, limited by available memory, while a single, long-bspline method will probably hit some limit earlier. However, this is quite frustrating to see this ...
by tanderson69
Sat Aug 22, 2020 2:04 pm
Forum: Developers corner
Topic: investigating possible OCC BuildCurve3d bug
Replies: 5
Views: 522

Re: investigating possible OCC BuildCurve3d bug

MaxSegments=0 means the the tool self-computes the max number of segments : EvaluateMaxSegment As a programmer, I am much too ignorant in the math to know where the magic number 30 comes from. As a seasoned modeler, I will say that large complicated splines cause large complicated modeling problems...
by tanderson69
Tue Aug 18, 2020 10:56 pm
Forum: Help on using FreeCAD
Topic: Sweep - Deformation of profile
Replies: 25
Views: 1739

Re: Sweep - Deformation of profile

I was able to get something using the same process I used before (I didn't use freecad): Created a periodic bspline from sketch. I think that can be done from Draft and or python. Swept that along a line using a law curve. That process can be simulated using multiple profiles. Created a series of pc...

Go to advanced search